<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');


   
?>
<div id="resultados"></div>
<form method="post" id="codificado" name="codificado">
    <div  class="col-md-12">
        <div class="form-group">
            <label class="col-md-6">Letras</label>
            <label class="col-md-6">Numeración</label> 
            <?php
            $sql=mysqli_query($con, "SELECT * from  etiquetas_texto_codificado where sucursal='$sucursal' and  empresa='$empresa' ");
            while ($row=mysqli_fetch_array($sql))
            {
            $tex_cod_id=$row["tex_cod_id"];
            $tex_cod_letra=$row["tex_cod_letra"];
            $tex_cod_numero=$row['tex_cod_numero'];
            ?>

            <div class="col-md-6">
                <div class="input-group">
                    <input type="text" name="letra[]" id="letra[]" maxlength="1" minlength="1" value="<?php echo $tex_cod_letra  ?>" class="form-control input-sm" autocomplete="off" required >
                </div>
            </div>

            <div class="col-md-6">
                <div class="input-group">
                    <input type="text" value="<?php echo $tex_cod_numero ?>" class="form-control input-sm" autocomplete="off" disabled >
                </div>
            </div>
            <input type="hidden" name="id[]" id="id[]" value="<?php echo $tex_cod_id ?>" >
            <?php } ?>
        </div>
      
          <label>&nbsp</label>
    </div> <!-- /.form-group -->
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-info" name="abonar" value="abonar" id="abonar">Guardar</button>
    </div>
</form>

<script language="javascript">


  $( "#codificado" ).submit(function( event ) 
{
    $('#abonar').attr("disabled", true);
    var formData = new FormData($("#codificado")[0]);
    var ruta = "php_etiquetas/registrar_texto_codificado.php";
    $.ajax({
        type: "POST",
        url: ruta,
        data: formData,
        contentType: false,
        processData: false, 
        beforeSend: function(objeto){
            $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados").html(datos);
        $('#abonar').attr("disabled", false);
       // $('#reg_tex_cod').modal('hide');
        //$('body').removeClass('modal-open');
       // $('.modal-backdrop').remove();
        
    }
});
event.preventDefault();
})
</script>